import { H2 } from "../components/headings";
import { Circle } from "../components/Shapes";
/* import "../utils/text.js"; */
/* import { Collapsible } from "../components/Collapsible";
import { InfoBox } from "../components/Boxes"; */

export function Description() { 

  return (
      <div className="row mt-4">
        <div className="col">
          <div  className="col">
            <section id="Abstract" className="section">
                <H2 text="Abstract"/>
                <p>We are proud to introduce our next-generation prime editing technology <a href="#" className="underline--magical">PreCyse</a>. We aim to develop an innovative gene therapy against cystic fibrosis, tackling the most common mutation ΔF508 of the CFTR (Cystic Fibrosis Transmembrane Conductance Regulator) gene. We optimize lipid nanoparticles for the efficient and cell-specific delivery of our therapeutic mRNA. Current treatment strategies are limited in terms of speed, precision and effectiveness, often failing to achieve long-lasting improvements. In addition, high costs and limited accessibility of pharmaceuticals contribute to adverse prognosis of many patients. We want to develop a monthly applied which represents a cure that is more advanced and user-friendly compared to other medications due to its longer lasting time, lowering the frequency of use. </p>
                </section>
          </div> 

          <div className="col">
            <section id="Cystic Fibrosis" className="section">
                <H2 text="Cystic Fibrosis"/>
                {/* <h3>General</h3> */}
                <div className="row align-items-center">
                    <div className="col">
                        <p data-aos="zoom-y-out" >Cystic fibrosis (CF) is the most common life-limiting genetic disorder in the Caucasian population. In Europe, CF affecting about 1 in 3,000 newborns<a href="#desc-one"><sup>1</sup></a>.</p>
                        <p> It is caused by mutations in the CFTR gene, which controls ions and water movement in cells. This leads to thick mucus, clogging airways, and frequent infections. The defective CFTR protein impacts the respiratory and digestive systems, causing chronic lung infections, breathing difficulties, and malnutrition. CF's severity varies, but it reduces life quality and expectancy. There are over 1,700 CFTR mutations; the ΔF508 mutation is most common, present in 70% of cases. It prevents proper protein folding, affecting its function. </p>
                    </div>
                    <div className="col-2 "> 
                            <Circle text="1:3000 newborns worldwide"/>
                            <Circle text="x:y newborns in Germany"/>
                            <Circle text="kosten"/>
                    </div>
                </div>
               {/*  <div className="col">
                    <img src="https://static.igem.wiki/teams/5247/charts-maps/cfper10-000.png"></img>
                </div>
                <h3>CFTR</h3>
                <div className="row align-items-center">
                    <div className="col-2 "> 
                        <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/> 
                        <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    </div>
                    <div className="col">
                       <p>Text about CFTR</p>
                    </div>
                </div>
                <img src="https://static.igem.wiki/teams/5247/charts-maps/cfper10-000.png"/>
                <h3>Symptoms</h3>
                <p>Text about symptoms</p>
                <Collapsible title="How the symptoms affect different parts of the body" ></Collapsible>
                <h3>Diagnosis</h3>
                <p>About the ways one can be diagnosed</p> 
                <div className="row align-items-center">
                    <div className="col" >
                        <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    </div>
                    <div className="col" >
                        How newbornscreening affected the numbers.
                    </div>
                </div>
                <h3>Treatment</h3>
                <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                <Collapsible title="Different types of drugs" ></Collapsible>
                <p>Why we still need other options</p>  
                <img src="https://static.igem.wiki/teams/5247/charts-maps/cfper10-000.png"/> */} 
            </section>
          </div>

          <div className="col">
            <section id="Our motivation" className="section">
                <H2 text="Our motivation"></H2>
                <p>We chose to focus on CF and specifically the ΔF508 mutation due to its prevalence and the severe impact it has on patients' lives. Additionally, our team includes members who have close friends affected by this condition, giving us a personal connection and a strong motivation to find a solution. By targeting the ΔF508 mutation, we aim to develop a therapy that could potentially, not only benefit many CF patients and make a significant improvement in their lives, but also can serve as a template, which research groups can use to target other genetic diseases. </p>
                {/* <div className="row align-items-center">
                    <div className="col" >
                        About del508
                    </div>
                    <div className="col" >
                        <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    </div>    
                </div>
                <p>Max</p> */}
            </section>
          </div>

          <div className="col">
            <section id="Approach" className="section">
                <H2 text="Approach"></H2>
                <p>To correct the mutation, we are utilizing Prime Editing technologies. Prime Editing is a genome editing technique that allows precise DNA modifications without causing double-strand breaks<a href="#desc-two"><sup>2</sup></a>. Structurally, the Prime Editing complex consists of a Cas9 endonuclease fused to a reverse transcriptase (RT) and guided by a pegRNA, which directs the complex to the target site in the genome.  </p>
{/*                 <InfoBox title="Prime Editing">
                    About prime editing
                </InfoBox> */}
                <img className="img-right img-half" src="https://static.igem.wiki/teams/5247/scientific-figures/komplex-komplett.png"/>    
                
                <div>
                    <p>However, the Prime Editing complex is relatively large, posing challenges for therapeutic delivery<a href="#desc-three"><sup>3</sup></a>. Additionally, Prime Editing has been shown to be relatively inefficient in terms of gene editing rates, which could limit its therapeutic utility<a href="#desc-four"><sup>4</sup></a>. Our project aims to enhance the Prime Editing approach by miniaturizing its components. Fanzor, a recently discovered eukaryotic endonuclease, performs functions similar to Cas9, a crucial part of the Prime Editing complex, but is significantly smaller. We aim to substitute Cas9 with Fanzor. </p>
                    <p>Additionally, we plan to replace the reverse transcriptase in the Prime Editing complex with a smaller RT variant. Furthermore, MCP proteins will be added to the Prime Editing complex to increase its stability<a href="#desc-five"><sup>5</sup></a>.  </p>
                </div>
                {/* <Collapsible title="Cas vs. Fanzor" ></Collapsible> */}
                <p>The pegRNA is optimized via an extension by a stem loop, which stabilizes the RNA by protecting it from RNases and serves as a binding site for the MCP, which also supports the secondary RNA structure. Additionally, the pegRNA contains a riboswitch, a sodium ion-controlled regulator that switches off the complex. This represents a major biosafety feature in that the complex is switched off after successful DNA editing and the subsequent increased influx of chloride ions into the cell. The pegRNA is combined with an optimized sgRNA resulting in higher on-target effect. Overall, its optimization leads to a longer shelf life and an increase in the biosafety of the complex. </p>
{/*                 <InfoBox title="Riboswitch">
                    About the Riboswitch
                </InfoBox> */}
            </section>
          </div>

          <div className="col">
            <section id="Delivery" className="section">
                <H2 text="Delivery"></H2>
                <img className="img-left img-half spin" src="https://static.igem.wiki/teams/5247/scientific-figures/lnp.png" height={"200vw"}/>  
                <div>
                    <p>We chose LNPs as the delivery system of our Next-Generation Prime Editing Technology. Because of their large capacity and less immunogenic side effects compared to other delivery systems like Adeno-associated Viruses (AVV)<a href="#desc-six"><sup>6</sup></a>. Our aim is to optimize the LNP formulation to improve delivery to lung tissue via inhalation. Because of our collaborations, we are able to test and optimize different delivery systems to improve our organ specific therapeutic approach. Therefore, our LNP design focusses on stability and targeting. Stability is achieved by a polyethylene glycol (PEG) coating that protects the LNPs from degradation by the immune system<a href="#desc-seven"><sup>7</sup></a>. Moreover, we use capsaicin in combination with chitosan to improve the uptake of our construct through their mucus-adhesive properties<a href="#desc-eight"><sup>8</sup></a>. </p>
                </div>
                <div className="row align-items-center">
{/*                     <div className="col">
                        LAgertemperatur der Parts
                    </div>
                    <div className="col">
                        Trocknung
                    </div> */}
                </div>
                <p>We are furthermore optimising the LNPs for pulmonary therapy and investigating delivery by nebulisation as a non-invasive method compared to systemic approaches to make the therapy more convenient for patients. For specific targeting, we are focussing on marker proteins of basal cells and ionocytes that produce particularly high levels of CFTR protein and which we want to target with appropriate antibodies<a href="#desc-nine"><sup>9</sup></a>. Our workflow includes testing our next generation Prime Editing Technology delivered by our optimized LNPs in cell culture lines but also in primary nasal epithelial cells of CF patients to evaluate our optimizations and further improvements in vitro. We can also provide the outlook on the adaptation of the delivery system enabling systemic applications as well. </p>
            </section>
          </div>

          <div className="col">
            <section id="Our vision" className="section">
                <H2 text="Our vision"></H2>   
                <p>We are envisioning a potential integration into a broader therapeutic framework involving customized gene editing tools for various genetic disorders, that present similar problems/difficulties to the F508del mutation, as well as other genetic diseases of different causes. This could include collaborations with pharmaceutical companies to develop new treatment modalities for genetic diseases beyond cystic fibrosis, utilizing advanced delivery systems and personalized medicine approaches. </p>
                
            </section>
          </div>
        {/* Sources */}
        <div className="col">
        <section id="References">
            <H2 text="References"></H2>    
            <ol>
                {/* <!-- Citation num 1--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-one">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Scotet, V.</span>,
                        <span property="schema:Name">Gutierrez, H.</span>,
                        <span property="schema:Name">Farrell, P. </span>
                    </span>
                    <span property="schema:name">Newborn Screening for CF across the Globe—Where Is It Worthwhile? </span>
                    <i property="schema:publisher" typeof="schema:Organization">Int J Neonatal Screen </i>
                    <b property="issueNumber" typeof="PublicationIssue">6</b>,
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2020">2020</time>). 
                    <a className="doi" href="https://doi.org/10.3390/ijn6010018"> doi: 10.3390/ijn6010018</a>
                </li>

                {/* <!-- Citation num 2--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-two">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Anzalone, A.V.</span>,
                        <span property="schema:Name">Randolph, P.B.</span>,
                        <span property="schema:Name">Davis, J.R.</span>,
                        <span property="schema:Name">Sousa, A.A.</span>,
                        <span property="schema:Name">Koblan, L.W.</span>,
                        <span property="schema:Name">Levy, J.M.</span>,
                        <span property="schema:Name">Newby, G.A.</span>,
                        <span property="schema:Name">Raguram, A.</span>,
                        <span property="schema:Name">Liu, D.R. </span>
                    </span>
                    <span property="schema:name">Search-and-replace genome editing without double-strand breaks or donor DNA. </span>
                    <i property="schema:publisher" typeof="schema:Organization">Nature </i>
                    <b property="issueNumber" typeof="PublicationIssue">574</b>,
                    <span property="schema:pageBegin"> 589</span>-<span property="schema:pageEnd">594 </span>
                     (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2019">2019</time>).
                    <a className="doi" href="https://doi.org/10.1038/s41586-019-1711-4"> doi: 10.1038/s41586-019-1711-4</a>
                </li>

                {/* <!-- Citation num 3--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-three">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Broad Institute of MIT and Harvard. </span>
                    </span>
                    <span property="schema:name">Researchers engineer in vivo delivery system for prime editing, partially restoring vision in mice. </span>
                    <i property="schema:publisher" typeof="schema:Organization">Phys.org </i>
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2024">2024</time>).
                </li>

                {/* <!-- Citation num 4--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-four">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Gaudelli, N.</span>,
                        <span property="schema:Name">Komor, A.</span>,
                        <span property="schema:Name">Rees, H.</span>,
                        <span property="schema:Name">Packer, M.</span>,
                        <span property="schema:Name">Badran, A.</span>,
                        <span property="schema:Name">Bryson, D.</span>,
                        <span property="schema:Name">Liu, D. </span>
                    </span>
                    <span property="schema:name">Programmable editing of a target base in genomic DNA without double-stranded DNA cleavage. </span>
                    <i property="schema:publisher" typeof="schema:Organization">Nature </i>
                    <b property="issueNumber" typeof="PublicationIssue">533</b>,
                    <span property="schema:pageBegin"> 420</span>-<span property="schema:pageEnd">424 </span>
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2016">2016</time>). 
                    <a className="doi" href="https://doi.org/10.1038/nature17946"> doi: 10.1038/nature17946</a>
                </li>

                {/* <!-- Citation num 5--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-five">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">OpenEd CUNY. </span>
                    </span>
                    <span property="schema:name">RNA Stability and the Role of RNA-Binding Proteins. </span>
                    <i property="schema:publisher" typeof="schema:Organization">OpenEd CUNY </i>
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2024">2024</time>).
                </li>

                {/* <!-- Citation num 6--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-six">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Sahay, G.</span>,
                        <span property="schema:Name">Alakhova, D.Y.</span>,
                        <span property="schema:Name">Kabanov, A.V. </span>
                    </span>
                    <span property="schema:name">Endocytosis of nanomedicines. </span>
                    <i property="schema:publisher" typeof="schema:Organization">Journal of Controlled Release </i>
                    <b property="issueNumber" typeof="PublicationIssue">145</b>,
                    <span property="schema:pageBegin"> 182</span>-<span property="schema:pageEnd">195 </span>
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2010">2010</time>).
                    <a className="doi" href="https://doi.org/10.1016/j.jconrel.2010.01.036"> doi: 10.1016/j.jconrel.2010.01.036</a>
                </li>

                {/* <!-- Citation num 7--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-seven">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Ramachandran, S.</span>,
                        <span property="schema:Name">Satapathy, S.R.</span>,
                        <span property="schema:Name">Dutta, T. </span>
                    </span>
                    <span property="schema:name">Delivery Strategies for mRNA Vaccines. </span>
                    <i property="schema:publisher" typeof="schema:Organization">Pharmaceutical Medicine </i>
                    <b property="issueNumber" typeof="PublicationIssue">36</b>,
                    <span property="schema:pageBegin"> 11</span>-<span property="schema:pageEnd">20 </span>
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2022">2022</time>).
                    <a className="doi" href="https://doi.org/10.1007/s40290-021-00417-5"> doi: 10.1007/s40290-021-00417-5</a>
                </li>

                {/* <!-- Citation num 8--> */}
                <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-eight">
                    <span property="schema:author" typeof="schema:Person">
                        <span property="schema:Name">Bandi, S.P.</span>,
                        <span property="schema:Name">Bhatnagar, S.</span>,
                        <span property="schema:Name">Venuganti, V.V.K. </span>
                    </span>
                    <span property="schema:name">Advanced materials for drug delivery across mucosal barriers. </span>
                    <i property="schema:publisher" typeof="schema:Organization">Acta Biomaterialia </i>
                    <b property="issueNumber" typeof="PublicationIssue">119</b>,
                    <span property="schema:pageBegin"> 13</span>-<span property="schema:pageEnd">29 </span>
                    (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2021">2021</time>).
                    <a className="doi" href="https://doi.org/10.1016/j.actbio.2020.10.031"> doi: 10.1016/j.actbio.2020.10.031</a>
                </li>


                                
                                
                            
            </ol>
        </section>
    </div>


        </div>  
      </div>    
  );
}
