 import {
  Contribution,
  Description,
 /*  Engineering, */
  Experiments,
  Home,
  Bfh,
  Attributions,
  HumanPractices,
  Partners,
  Ints,
  Notebook,
  Results,
  Safety,
  Team,
 /*  Sustainable, */
  Wiki,
  Impressum
} from "./contents"; 

import { BFHH, HOMEH, HPH, INTSH, SPONH, RESH, ATTH, CONTH, DESCH, EXPH, IMPH, NOTEH, SAFEH, TEAMH, WIKIH } from "./contents";

interface Base {
  name: string | undefined;
}

class Folder implements Base {
  name: string | undefined;
  folder: Page[] | undefined;
}

class Page implements Base {
  name: string | undefined;
  title: string | undefined;
  path: string | undefined;
  component: React.FC | undefined;
  header!: React.FC;
  navlist?: Array<string> | undefined; 
}

const Pages: (Page | Folder)[] = [
  {
    name: "Home",
    title: "Bielefeld CeBiTec",
    path: "/",
    component: Home,
    header: HOMEH,
    navlist: [""],
    },
    {
      name: "Team",
      folder: [
        {
          name: "Team",
          title: "Team",
          path: "/team",
          component: Team,
          header: TEAMH,
          navlist: [""],
        },
        {
          name: "Attributions",
          title: "Attributions",
          path: "/attributions",
          component: Attributions,
          header: ATTH,
           navlist: [""],
        },
        {
          name: "Impressum",
          title: undefined,
          path: "/impressum",
          component: Impressum,
          header: IMPH,
          navlist: [""],
        },
      ],
    },
    {
      name: "Project",
      folder: [
        {
          name: "Contribution",
          title: "Contribution",
          path: "/contribution",
          component: Contribution,
          header: CONTH,
          navlist: [""],
        },
        {
          name: "Description",
          title: "Project Description",
          path: "/description",
          component: Description,
          header: DESCH,
          navlist: ["Abstract", "Cystic Fibrosis", "Our motivation", "Approach", "Delivery", "Our vision", "References"]
        },
        /* {
          name: "Engineering",
          title: "Engineering Success",
          path: "/engineering",
          component: Engineering,
          header: "Demonstrate engineering success in a technical aspect of your project by going through at least one iteration of the engineering design cycle. This achievement should be distinct from your Contribution for Bronze.",
          navlist: [""],
        }, */
        {
          name: "Experiments",
          title: "Experiments",
          path: "/experiments",
          component: Experiments,
          header: EXPH,
          navlist: [""],
        },
        {
          name: "Notebook",
          title: "Notebook",
          path: "/notebook",
          component: Notebook,
          header: NOTEH,
          navlist: [""],
        },
        {
          name: "Results",
          title: "Results",
          path: "/results",
          component: Results,
          header: RESH,
          navlist: [""],
        },
      ],
    },
    {
      name: "Safety",
      title: "Safety",
      path: "/safety",
      component: Safety,
      header: SAFEH,
      navlist: [""],
    },
    {
      name: "Human Practices",
      title: "Human Practices",
      path: "/human-practices",
      component: HumanPractices,
      header: HPH,
       navlist: [""],
    },
    {
      name: "Other",
      folder: [
        {
          name: "Interviews",
          title: "Interviews",
          path: "/interviews",
          component: Ints,
          header: INTSH, 
          navlist: [""],
        },
        {
          name: "Partners and Sponsors",
          title: "Partners and Sponsors",
          path: "/partners",
          component: Partners,
          header: SPONH, 
          navlist: [""],
        },
      ],
      
    },
    {
      name: "Contribution",
      folder: [
            {
              name: "BFH",
              title: "BFH European MeetUp",
              path: "/bfh",
              component: Bfh,
              header: BFHH,
              navlist: [],
            },
            {
              name: "Wiki",
              title: "wiki",
              path: "/wiki",
              component: Wiki,
              header: WIKIH,
              navlist: [""],
            },
          ]
    },
];

export const NavPages: (Page | Folder)[] = [
  {
    name: "Home",
    title: "Bielefeld CeBiTec",
    path: "/",
    component: Home,
    header: HOMEH,
    navlist: [""],
    },
    {
      name: "Team",
      folder: [
        {
          name: "Team",
          title: "Team",
          path: "/team",
          component: Team,
          header: TEAMH,
          navlist: [""],
        },
        {
          name: "Attributions",
          title: "Attributions",
          path: "/attributions",
          component: Attributions,
          header: ATTH,
           navlist: [""],
        },
      ],
    },
    {
      name: "Project",
      folder: [
        {
          name: "Contribution",
          title: "Contribution",
          path: "/contribution",
          component: Contribution,
          header: CONTH,
          navlist: [""],
        },
        {
          name: "Description",
          title: "Project Description",
          path: "/description",
          component: Description,
          header: DESCH,
          navlist: ["Abstract", "Cystic Fibrosis", "Our motivation", "Approach", "Delivery", "Our vision", "References"]
        },
        {
          name: "Experiments",
          title: "Experiments",
          path: "/experiments",
          component: Experiments,
          header: EXPH,
          navlist: [""],
        },
        {
          name: "Notebook",
          title: "Notebook",
          path: "/notebook",
          component: Notebook,
          header: NOTEH,
          navlist: [""],
        },
        {
          name: "Results",
          title: "Results",
          path: "/results",
          component: Results,
          header: RESH,
          navlist: [""],
        },
      ],
    },
    {
      name: "Safety",
      title: "Safety",
      path: "/safety",
      component: Safety,
      header: SAFEH,
      navlist: [""],
    },
    {
      name: "Human Practices",
      title: "Human Practices",
      path: "/human-practices",
      component: HumanPractices,
      header: HPH,
       navlist: [""],
    },
    {
      name: "Contribution",
      folder: [
            {
              name: "BFH",
              title: "BFH European MeetUp",
              path: "/bfh",
              component: Bfh,
              header: BFHH,
              navlist: [],
            },
            {
              name: "Wiki",
              title: "wiki",
              path: "/wiki",
              component: Wiki,
              header: WIKIH,
              navlist: [""],
            },
          ]
    },
];

export default Pages;